Enviar Mídia
curl --request POST \
--url https://api.wapizap.com/api/v2/messages/media \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instanceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"to": "5511999999999",
"mediaUrl": "https://example.com/image.jpg",
"caption": "Confira esta imagem!",
"fileName": "documento.pdf"
}
'import requests
url = "https://api.wapizap.com/api/v2/messages/media"
payload = {
"instanceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"to": "5511999999999",
"mediaUrl": "https://example.com/image.jpg",
"caption": "Confira esta imagem!",
"fileName": "documento.pdf"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
instanceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
to: '5511999999999',
mediaUrl: 'https://example.com/image.jpg',
caption: 'Confira esta imagem!',
fileName: 'documento.pdf'
})
};
fetch('https://api.wapizap.com/api/v2/messages/media', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"instanceId": "<string>",
"remoteJid": "<string>",
"fromMe": true,
"content": {},
"timestamp": 123
}Messages
Enviar Mídia
Envia imagem, vídeo ou documento
POST
/
messages
/
media
Enviar Mídia
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
201 - application/json
Mídia enviada
⌘I